Subject: Re: Btree directories (Re: Status of HFS+ support)

From: Chris Mason <[email-masked]>
Date: Wed, 30 Aug 2000 14:25:46 GMT

On 8/29/00, 1:18:51 PM, Matthew Wilcox <[email-masked]> wrote regarding
Btree directories (Re: Status of HFS+ support):

[ 32 bit directory offsets ]

> Hmmm.. now the LFS patches have gone in and f_pos is now a 64-bit
quantity,
> this sounds more plausible.  I'd be curious to hear from the ReiserFS
> people how they solved this problem.

In reiserfs, the offset in the directory is a hash of the file name.  The
directories are sparse, so we could have a directory with 4 items,
offsets 1, 2, 32458, 2million.  The hash of a given item never changes,
new items can be inserted or removed from either side of any existing
item (except . and ..)

-chris

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/